<?php

namespace App\Entity\KeyHelp;

/**
 *
 */
class Security
{
    private int $idCertificate;
    private bool $letsEncrypt;
    private bool $forceHttps;
    private bool $isHsts;
    private int $hstsMaxAge;
    private bool $hstsInclude;
    private bool $hstsPreload;

    /**
     * @return int
     */
    public function getIdCertificate(): int
    {
        return $this->idCertificate;
    }

    /**
     * @param int $idCertificate
     */
    public function setIdCertificate(int $idCertificate): void
    {
        $this->idCertificate = $idCertificate;
    }

    /**
     * @return bool
     */
    public function isLetsEncrypt(): bool
    {
        return $this->letsEncrypt;
    }

    /**
     * @param bool $letsEncrypt
     */
    public function setLetsEncrypt(bool $letsEncrypt): void
    {
        $this->letsEncrypt = $letsEncrypt;
    }

    /**
     * @return bool
     */
    public function isHsts(): bool
    {
        return $this->isHsts;
    }

    /**
     * @param bool $isHsts
     */
    public function setIsHsts(bool $isHsts): void
    {
        $this->isHsts = $isHsts;
    }

    /**
     * @return int
     */
    public function getHstsMaxAge(): int
    {
        return $this->hstsMaxAge;
    }

    /**
     * @param int $hstsMaxAge
     */
    public function setHstsMaxAge(int $hstsMaxAge): void
    {
        $this->hstsMaxAge = $hstsMaxAge;
    }

    /**
     * @return bool
     */
    public function isHstsInclude(): bool
    {
        return $this->hstsInclude;
    }

    /**
     * @param bool $hstsInclude
     */
    public function setHstsInclude(bool $hstsInclude): void
    {
        $this->hstsInclude = $hstsInclude;
    }

    /**
     * @return bool
     */
    public function isHstsPreload(): bool
    {
        return $this->hstsPreload;
    }

    /**
     * @param bool $hstsPreload
     */
    public function setHstsPreload(bool $hstsPreload): void
    {
        $this->hstsPreload = $hstsPreload;
    }


    /**
     * @return bool
     */
    public function isForceHttps(): bool
    {
        return $this->forceHttps;
    }

    /**
     * @param bool $forceHttps
     */
    public function setForceHttps(bool $forceHttps): void
    {
        $this->forceHttps = $forceHttps;
    }
}